Retrieves all the work instructions.
Request Information
URI Parameters :
None.
Body Parameters :
None.
Response Information
Resource Description :
work_instruction| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier |
Required |
| sales_organization_id |
FK of sales_organization. Filled if specific of one SO, empty if can be used by all |
globally unique identifier | |
| sales_organization_code |
Embedded entity "sales_organization" using ERP PK when adding/updating work_instruction |
string | |
| sales_organization |
Embedded entity "sales_organization" when adding/updating work_instruction |
sales_organization | |
| job_type_id |
Applicable job_type |
globally unique identifier |
Required |
| job_type_code |
Applicable job_type |
string | |
| equipment_family_id |
Applicable equipment family |
globally unique identifier |
Required |
| equipment_family_code |
Applicable equipment family |
string | |
| skill_ids |
List of only applicable skils |
Collection of globally unique identifier | |
| skill_codes |
List of only applicable skils |
Collection of string | |
| name |
Name of the header of the work instruction. |
string |
Required Max length: 50 |
| description |
Explanation of these instructions for the technician. |
string |
Required Max length: 255 |
| estimated_work_time |
Time needed to complete these instructions. Number in minute. |
integer | |
| additional_information |
Additional information |
string |
Max length: 4000 |
| reference_back_office |
The Id/Ref of the back office for this work instruction. Used by Embedded entity |
string |
Max length: 255 |
| is_required |
If true then all instructions required to be executed |
boolean | |
| is_archived |
Specify if the object is not usable anymore |
boolean | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating. |
date |
Response Formats
application/json, text/json
{
"id": "da58e947-4311-48de-9ff9-e916e10cd759",
"sales_organization_id": "a39ee8df-677b-4189-907c-831be9ad94b1",
"sales_organization_code": "sample string 3",
"job_type_id": "53188681-5533-42f4-8ffc-ba9e8962ab94",
"job_type_code": "sample string 5",
"equipment_family_id": "91aef985-885b-4150-881e-8ddc2a6b68a9",
"equipment_family_code": "sample string 7",
"skill_ids": [
"656a45bb-b12b-4fdf-bec3-36e31a1a883f",
"757de67e-e7dd-4d12-96f0-8a9a6b834f49"
],
"skill_codes": [
"sample string 1",
"sample string 2"
],
"name": "sample string 8",
"description": "sample string 9",
"estimated_work_time": 10,
"additional_information": "sample string 11",
"reference_back_office": "sample string 12",
"is_required": true,
"is_archived": true,
"modified_dateutc": "2026-10-08T16:01:31.2997242+00:00"
}